/*
 * Copyright (C) 1997-2001 Id Software, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 *
 * =======================================================================
 *
 * This file holds the main struct for the OpenGL context
 *
 * =======================================================================
 */ 

#ifndef WIN_GLW_WIN_H__
#define WIN_GLW_WIN_H__

#include <windows.h>

typedef struct
{
	HINSTANCE hInstance;
	void *wndproc;

	HDC hDC;                /* handle to device context */
	HWND hWnd;              /* handle to window */
	HGLRC hGLRC;            /* handle to GL rendering context */

	HINSTANCE hinstOpenGL;  /* HINSTANCE for the OpenGL library */

	qboolean minidriver;
	qboolean allowdisplaydepthchange;
	qboolean mcd_accelerated;

	FILE *log_fp;
} glwstate_t;

extern glwstate_t glw_state;

#endif
